Bug 529352 - preupgrade has releases.txt and releases.list
preupgrade has releases.txt and releases.list
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On: 469988
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-16 06:23 EDT by Jens Petersen
Modified: 2014-01-21 18:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 00:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-10-16 06:23:56 EDT
Description of problem:
The preupgrade package has two copies of the releases list.
I think /usr/share/preupgrade/releases.list should be removed
and /usr/share/doc/preupgrade-1.1.0/releases.txt updated to
the latest version.

Version-Release number of selected component (if applicable):
preupgrade-1.1.0

How reproducible:
every time

Steps to Reproduce:
1.
$ rpm -ql preupgrade | grep releases
/usr/share/doc/preupgrade-1.1.0/releases.txt
/usr/share/preupgrade/releases.list
2.
$ rpm -ql preupgrade | grep .py$ | xargs grep releases.list
$  

Expected results:
2. .py to refer to file in datadir

Additional info:
A warning or suggest to copy releases.txt to HOME for editting
would be helpful too.
Comment 1 Jens Petersen 2009-10-18 20:09:32 EDT
README says:

| Please note that /usr/share/preupgrade/releases.list is ignored and is only
| being shipped for compatibility reasons. Use ~/releases.txt for customization.

"compability" with what? :)
Comment 2 Will Woods 2009-10-19 10:14:08 EDT
PackageKit. The get_distro_upgrade method for Fedora uses /usr/share/preupgrade/releases.list to determine whether or not there's a new Fedora release.

It's supposed to be using http://mirrors.fedoraproject.org/releases.txt, like preupgrade does - see bug 469988 - but that's apparently still unfixed.
Comment 3 Bug Zapper 2010-03-15 08:56:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2010-05-05 05:44:06 EDT
According to
https://bugzilla.redhat.com/show_bug.cgi?id=469988#c11
this should be fixed now in PackageKit-0.6.3 fwiw.
Comment 5 Scott Williams 2010-05-08 22:46:29 EDT
That fixes the PackageKit dependency, but it would still be nice if this were more clear.  May I suggest /etc/preupgrade/releases.list instead of having a releases.list that does nothing, and a releases.txt that one needs to copy to pwd?

It just makes more sense to have conf's in /etc instead of /usr anyway.  Preupgrade is to be ran as root so I don't see what's to gain by not having the conf in /etc.
Comment 6 Bug Zapper 2011-06-02 13:36:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jens Petersen 2011-06-24 00:23:19 EDT
(In reply to comment #5)
> That fixes the PackageKit dependency, but it would still be nice if this were
> more clear.  May I suggest /etc/preupgrade/releases.list instead of having a
> releases.list that does nothing, and a releases.txt that one needs to copy to
> pwd?

Could you open a new bug for that?  It is a separate issue. :)
We should like this old bug close now.

Note You need to log in before you can comment on or make changes to this bug.